Part Point/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(7 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{UnfinishedDocu{{#translation:}}}}
{{Docnav
|[[Part_Ellipse|Ellipse]]
|[[Part_Line|Line]]
|[[Part_Workbench|Part]]
|IconL=Part_Ellipse.svg
|IconR=Part_Line.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Part Point|Name/es=Part Point|MenuLocation=Part → [[Part_CreatePrimitives/es|Create Primitives]] → Point|Workbenches=[[Part Module/es|Part]], [[OpenSCAD_Module/es|OpenSCAD]]|SeeAlso=..}}
{{GuiCommand/es|Name=Part Point|Name/es=Part Point|MenuLocation=Part → [[Part_CreatePrimitives/es|Create Primitives]] → Point|Workbenches=[[Part_Workbench/es|Part]], [[OpenSCAD_Workbench/es|OpenSCAD]]|SeeAlso=..}}
</div>
</div>


== Description ==
== Description ==

A Point (vertex) geometric primitive.
A [[Image:Part_Point.svg|24px]] '''Part Point''' is a parametric point that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. Its coordinates are relative to the coordinate system defined by its {{PropertyData|Placement}} property.


==Usage==
==Usage==


See [[Part_Primitives#Usage|Part Primitives]].
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part Workbench]]

# The Create Primitives dialogue can be accessed several ways:
== Properties ==
#* Pressing the [[Image:Part_CreatePrimitives.svg|24px]] [[Part_CreatePrimitives|CreatePrimitives]] icon located in the Part toolbar

#* Using the {{MenuCommand|Part → [[Part_CreatePrimitives|Create Primitives]] → Point}} menu
See also: [[Property_editor|Property editor]].

A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Point can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
}}

* Where {{Incode|"myPoint"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3


doc.recompute()
===Geometric Primitives===
}}
{|
| [[File:PartVertexPrimitivesOptions_it.png]]
|
Point
====Parameter====
* {{Parameter|X}}
* {{Parameter|Y}}
* {{Parameter|Z}}
====Location====
*
*
*
|}
===Property===
{|
| [[File:PartVertexProperty_it.png|left]]
|
==== View ====


==== Data ====
{{KEY|Base}}
* {{PropertyData|Label}}:
* {{PropertyData|Placement}}: [[Placement|placement]]
* {{PropertyData|X}} :
* {{PropertyData|Y}} :
* {{PropertyData|Z}} :
|}
{{clear}}


{{Docnav
{{Part_Tools_navi}}
|[[Part_Ellipse|Ellipse]]
|[[Part_Line|Line]]
|[[Part_Workbench|Part]]
|IconL=Part_Ellipse.svg
|IconR=Part_Line.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 10:27, 3 March 2022

Part Point

Ubicación en el Menú
Part → Create Primitives → Point
Entornos de trabajo
Part, OpenSCAD
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
..

Description

A Part Point is a parametric point that can be created with the Part Primitives command. Its coordinates are relative to the coordinate system defined by its DatosPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatosX (Distance): The X coordinate of the point. The default is 0mm.
  • DatosY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatosZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()